# Module eunit_surefire

- Description
- Function Index
- Function Details

Surefire reports for EUnit (Format used by Maven and Atlassian Bamboo for example to integrate test results).

Copyright © 2009 Mickaël Rémond, Paul Guyot

Behaviours: `eunit_listener`.

Authors: Mickaël Rémond (`mremond@process-one.net`).

See also: eunit.

## Description

Surefire reports for EUnit (Format used by Maven and Atlassian Bamboo for example to integrate test results). Based on initial code from Paul Guyot.

Example: Generate XML result file in the current directory:

         eunit:test([fib, eunit_examples],
                    [{report,{eunit_surefire,[{dir,"."}]}}]).

## Function Index

handle_begin/3 |
handle_cancel/3 |
handle_end/3 |
init/1 |
start/0 |
start/1 |
terminate/2 |

## Function Details

### handle_begin/3

`handle_begin(X1, Data, St) -> any()`

### handle_cancel/3

`handle_cancel(X1, Data, St) -> any()`

### handle_end/3

`handle_end(X1, Data, St) -> any()`

### init/1

`init(Options) -> any()`

### start/0

`start() -> any()`

### start/1

`start(Options) -> any()`

### terminate/2

`terminate(X1, St) -> any()`

Generated by EDoc, Apr 22 2009, 22:37:19.